Noël Nadal Noël Nadal - 2 months ago 11
Node.js Question

Using a specific Node.js version in Gandi Simple Hosting

basically, I am Using Gandi Simple Hosting for a Node.js application. I would like to use a specific Node.js version. I'm ready that all I had to do was making a ".nvmrc" file and putting the required version number in it.

Now my .nvmrc file looks like this.

6.11.0


And my package.json file is like this.

{
"name": "name-of-my-app",
"version": "0.3.0",
"dependencies": {
"express": "3.x",
"socket.io": "1.x",
"mysql": "2.x",
"ejs": "2.x",
"emailjs": "1.x",
"svg-captcha": "1.x",
"sitemap": "1.x",
"discord.js": "11.x"
},
"scripts": {
"start": "node server.js"
}
}


When I restart my server, the console says the following.


/srv/data/web/vhosts/default /srv/data/web/vhosts/default

N/A: version "N/A" is not yet installed.

You need to run "nvm install N/A" to install it before using it.


Despite looking at the Gandi documentation, I can't find out what is wrong.

Thanks you in advance for your help! :-)

Noël.

Answer Source

I got an answer from the Gandi Technical Assistance.

I was told to deploy my code using Git. I made it work by following these inscructions: https://wiki.gandi.net/en/simple/git.